package body MSHTML.IHTMLOListElement_Object is

   procedure Put_compact
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOListElement_Put_compact,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_compact;

   function Get_compact
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOListElement_Get_compact);
   end Get_compact;

   procedure Put_start
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOListElement_Put_start,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_start;

   function Get_start
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOListElement_Get_start);
   end Get_start;

   procedure Put_type
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOListElement_Put_type,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_type;

   function Get_type
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOListElement_Get_type);
   end Get_type;

end MSHTML.IHTMLOListElement_Object;

